EDIT - bug #3866

Link Taxon Editor name to the taxon in the taxon navigator
11/14/2013 12:11 PM - Cherian Mathew

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 20:00 hours
Target version: Release 4.8

Severity: critical Found in Version:

Description

Clicking the taxon in the editor should expand to the corresponding taxon node when the "Link with Editor" option of the Classification
view is enabled.

Related issues:

Related to EDIT - feature request #5334: reimplement the taxonnavigator to al... New

Associated revisions

Revision bfff18ea - 07/05/2017 11:04 AM - Patrick Plitzner

ref #3866 Fix instanceOf check for classification taxon nodes

Revision 16124bb9 - 07/05/2017 11:06 AM - Patrick Plitzner

ref #3866 Fix instanceOf check for classification taxon nodes

Revision 38ad71f9 - 07/05/2017 11:14 AM - Katja Luther

ref #3866: adapt deleteHandler to taxonNavigatot changes

Revision bcce55c¢f4 - 07/06/2017 02:55 PM - Katja Luther

ref #3866: adapt deleteHandler to taxonNavigatot changes

History

#1 - 11/20/2013 11:09 AM - Patrick Plitzner

Another issue: the state of the "Link with editor"-button is not saved. Initially it is always turned off.

#2 - 11/25/2013 09:06 AM - Patrick Plitzner

additional comment on #3895:

What | found out so far is that a taxon node is only expanded for an active editor if two requirements are met (maybe a default behavior):
1. The classification has to be expanded.

2. The parent node has to be visible in the tree.

#3 - 11/27/2013 09:51 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to c.mathew -

- Category changed from platform to taxeditor

#4 - 11/27/2013 09:51 PM - Andreas Miiller

- Tracker changed from feature request to bug

#5 - 09/05/2014 02:12 PM - Andreas Miiller
- Target version changed from Post Edit Workshop 2013 to TaxEditor Next Major Release
- Priority changed from Priority08 to Priority13

- Severity changed from normal to critical
#6 - 09/07/2015 10:51 AM - Andreas Kohlbecker

this is as really annoying bug, so | am voting for solving this bug quite soon.

#7 - 09/07/2015 11:08 AM - Andreas Miiller
- Target version changed from TaxEditor Next Major Release to Unassigned CDM tickets

- Priority changed from Priority13 to Highest

| agree

#8 - 09/26/2016 02:06 PM - Andreas Miiller
- Description updated
- Assignee changed from Cherian Mathew to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.5

#9 - 09/26/2016 02:07 PM - Andreas Miuller

- Related to feature request #5334: reimplement the taxonnavigator to allow drag & drop between two nodes added

#10 - 09/26/2016 02:07 PM - Andreas Miiller
- Estimated time set to 20:00 h

#11 - 01/19/2017 01:36 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6

#12 - 03/10/2017 08:45 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#13 - 04/06/2017 01:00 PM - Katja Luther

- Status changed from New to In Progress

the problem is that the navigator starts with only the classification loaded. Maybe we need to overwrite the link method and use the treeindex.

#14 - 05/04/2017 02:13 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#15 - 06/28/2017 09:57 AM - Katja Luther

Hallo,

ich habe mich gestern mit dem Problem beschéftigt, dass beim TaxonNavigator zun&chst das verlinken mit dem geoffneten NameEditor bicht
funktioniert. Erst wenn der Baum aufgeklappt ist. Das Problem kdnnte geldst werden, wenn man die erste Ebene der Knoten schon direkt éffnet. Bei
Lnormalen” Klassifikationen mit Familien und Gattungen klappt das auch ganz gut, aber bei Datenbanken wie cdm_rl_plantae, in der die Arten direkt

unter der Klassifikation hédngen, dauert das Laden ewig.

Dies kénnte man l6sen, indem man eine Preference definiert, die das Aufklappen bei solchen DB abschaltet oder man z&hlt die Kinder der
Klassifikationen und ab einer bestimmten Anzahl l1asst man die Klassifikationen unaufgeklappt.

Was meint ihr?

Viele Grif3e,
Katja

#16 - 06/28/2017 02:10 PM - Andreas Kohlbecker
Katja Luther wrote:
Hallo Katja,
Das Problem kénnte gelést werden, wenn man die erste Ebene der Knoten schon direkt 6ffnet.
Das funktioniert nicht in allen Fallen, wenn ich mich recht erinnere muss man bei Projekten die tiefe Baume haben, wie Euro+Med zum Beispiel, sich
oft iber mehrere Rangstufen in den Baum hineinklicken, bis das entsprechende Taxon in Reichweite kommt, so dass das 'Linken' funktioniert.

Mein Ansatz zur Lésung dieses Tickets ware folgende Strategie in den TaxonNavigator zu implementieren:
1. TaxonNavigator versucht sich mit dem aktiven EditorView zu sychronisieren

2. Falls dies nicht erfolgreich ist, eine Suche nach dem entsprechenden TaxonNode ausfiihren

3. wurde der Node gefunden per ClassificationService den "path to root" des TaxonNodes holen und entlang dieses Pfades alle Knoten
aufklappen.

4.Nochmals die Synchronisierung ausfihren.

Dies kénnte man lésen, indem man eine Preference definiert, die das Aufklappen bei solchen DB abschaltet oder man zahlt die Kinder der
Klassifikationen und ab einer bestimmten Anzahl I&sst man die Klassifikationen unaufgeklappt.

Besser wére es nur die TaxonNodes zu laden die im aktuellen Viewport sichtbar sind und beim Scrollen nachladen.

Andreas

#17 - 07/06/2017 11:29 PM - Andreas Miiller

- Private changed from Yes to No

#18 - 07/21/2017 12:39 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
please review.

#19 - 09/22/2017 07:06 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 100

This really works. Great!

Only minor issue: the performance might be slow especially when opening a taxon with a large synonymy and deep in the tree. Maybe in future we
may find a way to load this asynchronously.
But | think we can close this ticket now!

#20 - 09/22/2017 07:07 PM - Andreas Miiller

| tested with a new opened E+M database for Calendula arvensis which has about 10 ancestors.
